#include "test02.h"
//---------------------------------------------------------------------------
double test02::k(double T, reference *ref_ptr)
// k - przewodnosc cieplna [W/(m*K)]  
// T - temperatura [K]
// n - wykladnik potegi [-]
{
    if(ref_ptr!=NULL)
    {
        ref_ptr->reset();
        ref_ptr->author="-";
        ref_ptr->title="-";
        ref_ptr->journal="-";
        ref_ptr->comment="-";
    }
    double k = conductivity300K*pow(300.0/T,exponent);
    return k;
}
//---------------------------------------------------------------------------
double test02::ec(double T, reference *ref_ptr)
// sigma - przewodnosc elektryczna [1/(Om*m)]
// T - temperatura [K]
// n - wykladnik potegi [-]
{
    if(ref_ptr!=NULL)
    {
        ref_ptr->reset();
        ref_ptr->author="-";
        ref_ptr->title="-";
        ref_ptr->journal="-";
        ref_ptr->comment="-";
    }
    double sigma = conductivity300K*pow(300.0/T,exponent);
    return sigma;
}
//---------------------------------------------------------------------------
test02::test02(double _conductivity300K, double _exponent)
{ 
    conductivity300K = _conductivity300K;
    exponent = _exponent;
}
//---------------------------------------------------------------------------
test02::~test02()
{
}
//---------------------------------------------------------------------------
