#ifndef MATERIAL
#define MATERIAL

#include "headers.h"
#include "reference.h"

class material
{
    public :
        double virtual cte(double iT, reference *ipRef=NULL)                { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual a(double iT, reference *ipRef=NULL)                    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual c(double iT, reference *ipRef=NULL)                    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual ea(reference *ipRef=NULL)                            { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual Eg(double iT, char iPoint, reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual Eg(double iT, reference *ipRef=NULL)                    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual Dso(reference *ipRef=NULL)                            { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual me(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual mhh(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual mlh(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual meL(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual meT(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual mhhL(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual mhhT(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual mlhL(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual mlhT(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual mso(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual mh(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual Ev(reference *ipRef=NULL)                { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual Ec(double iT, reference *ipRef=NULL)        { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual ac(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual av(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual b(reference *ipRef=NULL)        { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual d(reference *ipRef=NULL)        { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual c11(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual c12(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual c13(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual c33(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual c44(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual d13(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual d15(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual d33(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual e15(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual e31(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual e33(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual Psp(reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual Nc(double iT, reference *ipRef=NULL)        { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual Nv(double iT, reference *ipRef=NULL)        { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual ni(double iT, reference *ipRef=NULL)        { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual Eact(std::string iDop, reference *ipRef=NULL)                                    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual Eact(double iN, std::string iDop, reference *ipRef=NULL)                            { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual n(double iT, double iN, std::string iDop, reference *ipRef=NULL)                    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual mob(double iT, double iN, std::string iDop, reference *ipRef=NULL)                { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual ec(double iT, double iN, std::string iDop, char iDir, reference *ipRef=NULL)        { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual ec(double iT, double iN, std::string iDop, reference *ipRef=NULL)                { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual ec(double iT,reference *ipRef=NULL)                                                { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual er(double iT, reference *ipRef=NULL)                                                { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual k(double iT, double iN, std::string iDop, reference *ipRef=NULL)                    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual k(double iT, char iDir, reference *ipRef=NULL)                                    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual k(double iT, reference *ipRef=NULL)                                                { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual cp(double iT, reference *ipRef=NULL)                                                { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual g(double iT, reference *ipRef=NULL)                                                { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual dc(reference *ipRef=NULL)                                                        { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual nR(double iLam, double iT, double iN, std::string iDop, reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual nR(double iLam, double iT, reference *ipRef=NULL)                                { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual nR(double iLam, reference *ipRef=NULL)                                            { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual abs(double iLam, double iT, double iN, std::string iDop, reference *ipRef=NULL)    { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual abs(double iLam, double iT, reference *ipRef=NULL)                                { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };
        double virtual abs(double iLam, reference *ipRef=NULL)                                            { if (ipRef!=NULL) ipRef->brak_danych(); return 0; };

        void virtual setInt(std::string iInt) { };

        material() { };
        virtual ~material() { };
};
#endif
