#include "test01.h"
//---------------------------------------------------------------------------
double test01::k(double T, reference *ref_ptr)
// k - przewodnosc cieplna [W/(m*K)]  
// T - temperatura [K]
{
    if(ref_ptr!=NULL)
    {
        ref_ptr->reset();
        ref_ptr->author="-";
        ref_ptr->title="-";
        ref_ptr->journal="-";
        ref_ptr->comment="-";
    }
    double k = k300K*pow(300.0/T,1.25);
    return k;
}
//---------------------------------------------------------------------------
double test01::ec(double T, reference *ref_ptr)
// sigma - przewodnosc elektryczna [1/(Om*m)]
// T - temperatura [K]
{
    if(ref_ptr!=NULL)
    {
        ref_ptr->reset();
        ref_ptr->author="-";
        ref_ptr->title="-";
        ref_ptr->journal="-";
        ref_ptr->comment="-";
    }
    double sigma = sigma300K*pow(300.0/T,1.25);
    return sigma;
}
//---------------------------------------------------------------------------
test01::test01(double _sigma300K,double _k300K)
{ 
    sigma300K = _sigma300K;
    k300K = _k300K;
}
//---------------------------------------------------------------------------
test01::~test01()
{
}
//---------------------------------------------------------------------------
