/*##############################################################################
#                                                                              #
# dane materialowe dla materialu testowego nr 1                                #
#                                                                              #
# data dodania pliku do bazy materialowej: 07-04-2009                          #
# data ostatniej modyfikacji: 05-12-2013                                       #
# autor kodu: LUKASZ PISKORSKI (lukasz.piskorski@p.lodz.pl)                    #
#                                                                              #
##############################################################################*/

#ifndef test01H
#define test01H

#include <cmath>
#include "material.h"

class test01 : public material // test01
{
    private:
        double sigma300K;
        double k300K;
    public:
        double k(double T, reference *ref_ptr=NULL);
        double ec(double T, reference *ref_ptr=NULL);
        test01(double _sigma300K, double _k300K);    
        ~test01();
};

#endif
