/*##############################################################################
#                                                                              #
# dane materialowe dla materialu testowego nr 2                                #
#                                                                              #
# data dodania pliku do bazy materialowej: 21-04-2009                          #
# data ostatniej modyfikacji: 05-12-2013                                       #
# autor kodu: LUKASZ PISKORSKI (lukasz.piskorski@p.lodz.pl)                    #
#                                                                              #
##############################################################################*/

#ifndef test02H
#define test02H

#include <cmath>
#include "material.h"

class test02 : public material // test02
{
    private:
        double conductivity300K;
        double exponent;
    public:
        double k(double T, reference *ref_ptr=NULL);
        double ec(double T, reference *ref_ptr=NULL);
        test02(double _conductivity300K, double _exponent);    
        ~test02();
};

#endif
